Page MenuHomeFreeBSD

Flush the LRO ctrl as soon as lro_mbufs fills up.
ClosedPublic

Authored by np on Apr 19 2017, 11:37 PM.

Details

Summary

There's no point in waiting for the driver to enqueue the next mbuf
before flushing an LRO ctrl that's already full. Flush it as soon as it
fills up instead.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

np created this revision.Apr 19 2017, 11:37 PM
gnn accepted this revision.Apr 22 2017, 4:30 PM
This revision is now accepted and ready to land.Apr 22 2017, 4:30 PM
hselasky accepted this revision.Apr 24 2017, 9:25 PM
hselasky added subscribers: gallatin, hselasky.

Might want to ask @gallatin for a review aswell. Looks good to me.

gallatin accepted this revision.Apr 24 2017, 10:23 PM
This revision was automatically updated to reflect the committed changes.